Renews an existing license session and returns updated license information
POST
/api/v1/activations/{sessionId}/renew
const url = 'https://api.monetizeit.example/api/v1/activations/example/renew';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.monetizeit.example/api/v1/activations/example/renewThis endpoint extends the lease time for an active license session. The user must be authenticated and own the session being renewed.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” sessionId
required
string format: uuid
The unique identifier of the license session to renew
Responses
Section titled “ Responses ”Session renewed successfully
Media type application/json
object
licenseToken
string
tokenPublicKeyBase64
string
version
integer format: int32
legalNotice
string
copyright
string
providerUrl
string
providerEmail
string
description
string
licensedProducts
Array<string>
Example generated
{ "licenseToken": "example", "tokenPublicKeyBase64": "example", "version": 1, "legalNotice": "example", "copyright": "example", "providerUrl": "example", "providerEmail": "example", "description": "example", "licensedProducts": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ]}User not authorized to renew this session
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Session renewal forbidden (e.g., entitlement revoked)
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Session not found or expired
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Internal Server Error
Media type application/json